<div class="row mb-3 px-3">
  <div class="col-sm-3">
    <div class="card">
      <div class="card-body">
        <div class="d-flex flex-wrap align-items-center admin-lk no-link"
             *ngFor="let admin of administrationComponents" [ngClass]="{ 'active' : admin.id === path}">
          <!--begin::Title-->
          <div class="d-flex flex-column flex-grow-1 my-lg-0 my-2 mx-2 no-link">
            <a (click)="loadData(admin.id)"
               class="text-hover-primary text-black mb-1 font-size-lg no-link pointer">{{admin.name}}</a>
          </div>
          <!--end::Title-->
          <!--begin::Btn-->
          <a (click)="loadData(admin.id)" class="btn btn-icon btn-light btn-sm">
											<span class="svg-icon svg-icon-success">
												<span class="svg-icon svg-icon-md">
													<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                               width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
														<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
															<polygon points="0 0 24 0 24 24 0 24"></polygon>
															<rect fill="#198754" opacity="0.3"
                                    transform="translate(12.000000, 12.000000) rotate(-90.000000) translate(-12.000000, -12.000000)"
                                    x="11" y="5" width="2" height="14" rx="1"></rect>
															<path
                                d="M9.70710318,15.7071045 C9.31657888,16.0976288 8.68341391,16.0976288 8.29288961,15.7071045 C7.90236532,15.3165802 7.90236532,14.6834152 8.29288961,14.2928909 L14.2928896,8.29289093 C14.6714686,7.914312 15.281055,7.90106637 15.675721,8.26284357 L21.675721,13.7628436 C22.08284,14.136036 22.1103429,14.7686034 21.7371505,15.1757223 C21.3639581,15.5828413 20.7313908,15.6103443 20.3242718,15.2371519 L15.0300721,10.3841355 L9.70710318,15.7071045 Z"
                                fill="#198754" fill-rule="nonzero"
                                transform="translate(14.999999, 11.999997) scale(1, -1) rotate(90.000000) translate(-14.999999, -11.999997)"></path>
														</g>
													</svg>
                          <!--end::Svg Icon-->
												</span>
											</span>
          </a>
          <!--end::Btn-->
        </div>
      </div>
    </div>
  </div>

  <div class="col-sm-9">
    <div class="card">
      <div class="card-body">
        <div class="row">
          <div class="col-sm-6">
            <h4 class="text-primary bold py-1 mr-5 my-0">{{getName(path).name}}</h4>
          </div>
          <div class="col-sm-3">
          </div>
          <div class="col-sm-3 text-right">
            <button class="btn btn-primary btn-sm hvr-grow" name="addButton" data-bs-target="#addComponent"
                    data-bs-toggle="modal" (click)="clearAll();openAddModal();">Add&nbsp;<span><i
              class="fa fa-plus-square-o"></i> </span>
            </button>
          </div>
        </div>
        <div class="mt-5 mb-5 table-responsive">
          <table class="datatable-table table" *ngIf="path !== 'managementReviewers' && path !== 'technicalReviewers'">
            <thead class="datatable-head">
            <tr class="datatable-row" style="width:100%;">
              <th scope="col" class="datatable-cell " [appSort]="response" data-order="desc" data-name="value"><span>Data&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="response" data-order="desc"
                  data-name="modifiedBy"><span>Last Modified by&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="response" data-order="desc" data-name="date"><span>Last Modified Date&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th class="datatable-cell "><span>Actions</span>
              </th>
            </tr>
            </thead>
            <tbody class="datatable-body" style="">
            <tr data-row="0" class="datatable-row mt-2 mb-2" style="left: 0px;"
                *ngFor="let component of response">
              <td class=""><span *ngIf="getName(path).id === 'accounts' && component?.image"><img
                [src]="component?.image"
                class="logo-x"
                *ngIf="component?.image"/>&nbsp;</span>{{component?.value}}
              </td>
              <td class="">{{component?.modifiedBy}}
              </td>
              <td class=""><span class="badge bg-success">{{component?.date | date: 'dd-MMM-yy hh:mm'}}</span>
              </td>
              <td class="">
                <button class="btn-warning btn-sm btn hvr-shrink" data-bs-target="#addComponent"
                        data-bs-toggle="modal" (click)="editComponent(component)"
                        title="Edit"><span><i
                  class="fa fa-pencil-square-o"
                  aria-hidden="true"></i></span>
                </button>&nbsp;&nbsp;&nbsp;&nbsp;
                <button class="btn-danger btn-sm btn hvr-shrink" (click)="deleteContent = component"
                        data-bs-toggle="modal"
                        data-bs-target="#deleteModal" title="Delete"><span><i class="fa fa-trash"
                                                                              aria-hidden="true"></i></span>
                </button>
              </td>
            </tr>
            </tbody>
          </table>
          <table class="datatable-table table" *ngIf="path === 'managementReviewers' || path === 'technicalReviewers'">
            <thead class="datatable-head">
            <tr class="datatable-row" style="width:100%;">
              <th scope="col" class="datatable-cell "><span>Employee ID&nbsp;</span>
              </th>
              <th scope="col" class="datatable-cell "><span>Name&nbsp;</span>
              </th>
              <th scope="col" class="datatable-cell "><span>Grade&nbsp;</span>
              </th>
              <th scope="col" class="datatable-cell "><span>Contact&nbsp;</span>
              </th>
              <th scope="col" class="datatable-cell "><span>Email&nbsp;</span>
              </th>
              <th scope="col" class="datatable-cell "><span>Last Modified</span>
              </th>
              <th class="datatable-cell "><span>Actions</span>
              </th>
            </tr>
            </thead>
            <tbody class="datatable-body" style="">
            <tr data-row="0" class="datatable-row mt-2 mb-2" style="left: 0px;"
                *ngFor="let component of response">
              <td class="">{{component?.value.employeeId}}
              </td>
              <td class="">{{component?.value.name}}
              </td>
              <td class=""><span class="badge bg-info">{{component?.value.grade}}</span>
              </td>
              <td class="">{{component?.value.contact}}
              </td>
              <td class="">{{component?.value.email}}
              </td>
              <td class="">{{component?.modifiedBy}}<br/>
                <span class="badge bg-success">{{component?.date | date: 'dd-MMM-yy'}}</span>
              </td>
              <td class="">
                <button class="btn-warning btn-sm btn hvr-shrink" data-bs-target="#addComponent"
                        data-bs-toggle="modal" (click)="editComponent(component)"
                        title="Edit"><span><i
                  class="fa fa-pencil-square-o"
                  aria-hidden="true"></i></span>
                </button>&nbsp;&nbsp;&nbsp;&nbsp;
                <button class="btn-danger btn-sm btn hvr-shrink" (click)="deleteContent = component"
                        data-bs-toggle="modal"
                        data-bs-target="#deleteModal" title="Delete"><span><i class="fa fa-trash"
                                                                              aria-hidden="true"></i></span>
                </button>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Delete Modal -->
<div class="modal fade" id="deleteModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="deleteModal" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white" id="delete">Delete&nbsp;{{getName(path).name}}</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="mt-1 mb-1">
          <h6 class="text-danger">Are you sure, you want to delete this {{getName(path).name}}? Data cannot be restored
            again. Please
            confirm.</h6>
          <br/>
          <div class="alert alert-warning">
            <h6 *ngIf="path !== 'managementReviewers' && path !== 'technicalReviewers'">{{deleteContent?.value}}</h6>
            <h6 *ngIf="path === 'technicalReviewers' || path === 'managementReviewers'">{{deleteContent?.value?.name}}</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer center">
        <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>&nbsp;&nbsp;
        <button type="button" class="btn btn-danger btn-sm" (click)="deleteComponent()" data-bs-dismiss="modal">Confirm
        </button>
      </div>
    </div>
  </div>
</div>


<!-- Add Component Modal -->
<div class="modal fade" id="addComponent" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="addComponent" aria-hidden="true">
  <div class="modal-dialog"
       [ngClass]="{'modal-lg': path === 'technicalReviewers' || path === 'managementReviewers'}">
    <div class="modal-content">
      <div class="modal-header bg-theme">
        <h5 class="modal-title text-white" id="component"><span *ngIf="!editMode">Add</span><span
          *ngIf="editMode">Edit</span>&nbsp;{{getName(path).name}}</h5>
        <button type="button" class="btn-close btn-close-white " data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <form class="form" [formGroup]="addForm" (submit)="saveForm(addForm.value.data)"
            *ngIf="path !== 'managementReviewers' && path !== 'technicalReviewers'">
        <div class="modal-body">
          <div class="alert alert-danger mt-2 mb-2" *ngIf="errorMessage">
            {{errorMessage}}
          </div>
          <div class="mt-1 mb-1">
            <div class="mb-3">
              <label for="data" class="form-label star">{{getName(path).name}}</label>
              <input type="text" formControlName="data" class="form-control" id="data"
                     required>
            </div>

            <div *ngIf="getName(path).id === 'accounts' && !oldContent?.image">
              <label for="data" class="form-label star">Logo</label>
              <input type="file" (change)="fileChangeEvent($event)" formControlName="pic" class="form-control"
                     id="pic">
            </div>
            <div *ngIf="oldContent?.image" class="center">
              <img [src]="oldContent?.image" class="logo-2x"/>&nbsp;<button (click)="removeImage()"
                                                                            class="btn btn-sm btn-danger"><i
              class="fa fa-close"></i></button>
            </div>
          </div>
        </div>
        <div class="modal-footer center">
          <div class="center">
            <button type="submit" class="btn btn-primary btn-sm">Save</button>&nbsp;&nbsp;&nbsp;
            <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </form>
      <form class="form" [formGroup]="addReviewerForm" (submit)="saveForm(addReviewerForm.value)"
            *ngIf="path === 'managementReviewers' || path === 'technicalReviewers'">
        <div class="modal-body">
          <div class="alert alert-danger mt-2 mb-2" *ngIf="errorMessage">
            {{errorMessage}}
          </div>
          <div class="mt-1 mb-1">
            <div class="row mb-3">
              <div class="col-sm-4">
                <label for="data" class="form-label star">Employee ID</label>
                <input type="text" formControlName="employeeId" class="form-control" id="employeeId"
                       required>
              </div>
              <div class="col-sm-4">
                <label for="data" class="form-label star">Name</label>
                <input type="text" formControlName="name" class="form-control" id="name"
                       required>
              </div>
              <div class="col-sm-4">
                <label for="data" class="form-label star">Grade</label>
                <select class="form-select" formControlName="grade" id="grade">
                  <option value="" selected>Please select</option>
                  <option value="C3A" *ngIf="path === 'technicalReviewers'">C3A</option>
                  <option value="C3B" *ngIf="path === 'technicalReviewers'">C3B</option>
                  <option value="C4" *ngIf="path === 'managementReviewers'">C4</option>
                </select>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-sm-6">
                <label for="data" class="form-label star">Contact Number</label>
                <input type="text" formControlName="contact" class="form-control" id="contact"
                       required>
              </div>
              <div class="col-sm-6">
                <label for="data" class="form-label star">Email</label>
                <input type="text" formControlName="email" class="form-control" id="email"
                       required>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer center">
          <div class="center">
            <button type="submit" class="btn btn-primary btn-sm">Save</button>&nbsp;&nbsp;&nbsp;
            <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
<!-- Add Component Modal -->
